MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001109XdebugFeature/Change requestpublic2015-02-18 17:012015-11-20 17:52
Reporterstof 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.4.0rc1 
Summary0001109: PHP 7 support
DescriptionIt would be great to make (a dev version of) Xdebug compatible with PHP 7 dev version. This would allow projects to try it before the PHP 7 release.

The Travis team is currently trying to provide PHP 7 nightly builds for people to try their testsuites on PHP 7, and they are facing issue to build Xdebug for it: https://github.com/travis-ci/travis-ci/issues/2480#issuecomment-74805924 [^]
TagsPHP7
Operating System
PHP Version5.6-dev
Attached Files

- Relationships

-  Notes
(0003150)
fwendt (reporter)
2015-07-13 13:15
edited on: 2015-07-13 13:19

I have just compiled 7.0.0.beta1 and try to use Xdebug. There is a need of engine update (currently, Zend Engine 3.0.0-dev).

Here is the Apache 2.4 error log:

...
"Xdebug requires Zend Engine API version 220131226.
The Zend Engine API version 320140815 which is installed, is newer.
Contact Derick Rethans at http://xdebug.org/docs/faq#api [^] for a later version of Xdebug."
...

Anyway, it's PHP 7 beta phase. Let's wait a little :)

(0003151)
derick (administrator)
2015-07-13 13:29

I am working on it, but it's an awful lot of work. The current changes: https://github.com/derickr/xdebug/compare/master...derickr:php7 [^]

After I made it compile, I need to make it work. Expect this to take several months.
(0003152)
emkookmer (reporter)
2015-07-17 15:52

@derick, do you think XDebug will be ready when PHP 7.0 is officially released ?
(0003164)
derick (administrator)
2015-08-19 10:25

That's the plan.
(0003168)
Jan-E (reporter)
2015-08-29 17:33

I saw it already compiles on Centos 6. And it looks like you are close to make it compile with VC14 for Windows as well:

Microsoft (R) Program Maintenance Utility Version 14.00.23026.0
Copyright (C) Microsoft Corporation. All rights reserved.

ext\xdebug\xdebug_code_coverage.c(518): error C2065: 'base_address': undeclared identifier
ext\xdebug\xdebug_monitor.c(62): error C2070: 'void (__cdecl *)(void *,void *)': illegal sizeof operand
ext\xdebug\xdebug_monitor.c(62): error C2198: 'malloc': too few arguments for call
ext\xdebug\xdebug_stack.c(696): error C2065: 'ZEND_SERVICE_MB_STYLE': undeclared identifier

Good luvk with the development.
(0003169)
Jan-E (reporter)
2015-08-29 17:55

Under x64 the base_address error is not there. Only xdebug_monitor.c#L62 is problematic:

C:\php-sdk\php70dev>nmake -i php_xdebug.dll | grep error

Microsoft (R) Program Maintenance Utility Version 14.00.23026.0
Copyright (C) Microsoft Corporation. All rights reserved.

ext\xdebug\xdebug_monitor.c(62): error C2070: 'void (__cdecl *)(void *,void *)': illegal sizeof operand
ext\xdebug\xdebug_monitor.c(62): error C2198: 'malloc': too few arguments for call
LINK : fatal error LNK1181: cannot open input file 'C:\php-sdk\php70dev\x64\Release\ext\xdebug\xdebug_monitor.obj'

I remove the '|ZEND_SERVICE_MB_STYLE' in xdebug_stack.c#L696
(0003170)
Jan-E (reporter)
2015-08-29 18:59

Wikd guess, should not xdebug_monitor.c#L62 be

    xdebug_monitored_function_entry *tmp = xdmalloc(sizeof(xdebug_monitored_function_entry));
(0003245)
derick (administrator)
2015-11-20 17:52

Fixed for 2.4.0RC1 -- even Windows :-)

- Issue History
Date Modified Username Field Change
2015-02-18 17:01 stof New Issue
2015-07-13 13:15 fwendt Note Added: 0003150
2015-07-13 13:19 fwendt Note Edited: 0003150 View Revisions
2015-07-13 13:29 derick Note Added: 0003151
2015-07-17 15:52 emkookmer Note Added: 0003152
2015-07-17 15:52 emkookmer Tag Attached: PHP7
2015-08-19 10:25 derick Note Added: 0003164
2015-08-29 17:33 Jan-E Note Added: 0003168
2015-08-29 17:55 Jan-E Note Added: 0003169
2015-08-29 18:59 Jan-E Note Added: 0003170
2015-11-05 17:28 derick Fixed in Version => 2.4.0beta1
2015-11-20 17:52 derick Note Added: 0003245
2015-11-20 17:52 derick Status new => closed
2015-11-20 17:52 derick Assigned To => derick
2015-11-20 17:52 derick Resolution open => fixed
2015-11-20 17:52 derick Fixed in Version 2.4.0beta1 => 2.4.0rc1


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker